<?php
	$rdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $rdata)));
	$jdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $jdata)));
?>
<script>
	$j(function() {
		var tn = 'journal';

		/* data for selected record, or defaults if none is selected */
		var data = {
			compte_debit: <?php echo json_encode(array('id' => $rdata['compte_debit'], 'value' => $rdata['compte_debit'], 'text' => $jdata['compte_debit'])); ?>,
			compte_credit: <?php echo json_encode(array('id' => $rdata['compte_credit'], 'value' => $rdata['compte_credit'], 'text' => $jdata['compte_credit'])); ?>
		};

		/* initialize or continue using AppGini.cache for the current table */
		AppGini.cache = AppGini.cache || {};
		AppGini.cache[tn] = AppGini.cache[tn] || AppGini.ajaxCache();
		var cache = AppGini.cache[tn];

		/* saved value for compte_debit */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'compte_debit' && d.id == data.compte_debit.id)
				return { results: [ data.compte_debit ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for compte_credit */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'compte_credit' && d.id == data.compte_credit.id)
				return { results: [ data.compte_credit ], more: false, elapsed: 0.01 };
			return false;
		});

		cache.start();
	});
</script>

